## Function `polarXYZ( phi, theta, r )`

Description:
  Converts from spherical polar to Cartesian coordinates.

Parameters:
  `phi` (floating point)
    longitude in degrees
  `theta` (floating point)
    latitude in degrees
  `r` (floating point)
    radial distance

Return Value (array of floating point):
  3-element vector giving Cartesian coordinates

Examples:
  - `polarXYZ(ra, dec, distance_estimate)`
  - `polarXYZ(l, b, 3262./parallax)` - calculates vector components in units of light year in the galactic system, on the assumption that distance is the inverse of parallax

Signature:
  `double[] polarXYZ(double, double, double)`